Subject: bug#51480: lib(png|gif|jpeg)-version not defined

From: Stefan Kangas <[email-masked]>
Date: Fri, 29 Oct 2021 06:54:59 -0700

Severity: minor

I'm not sure if this is a bug, or just me who is missing something
obvious.

In image.c, I see the following:

      DEFSYM (Qlibpng_version, "libpng-version");
      Fset (Qlibpng_version,
    #if HAVE_PNG
            make_fixnum (PNG_LIBPNG_VER)
    #else
            make_fixnum (-1)
    #endif
            );
      DEFSYM (Qlibgif_version, "libgif-version");
      Fset (Qlibgif_version,
    #ifdef HAVE_GIF
            make_fixnum (GIFLIB_MAJOR * 10000
                         + GIFLIB_MINOR * 100
                         + GIFLIB_RELEASE)
    #else
            make_fixnum (-1)
    #endif
            );
      DEFSYM (Qlibjpeg_version, "libjpeg-version");
      Fset (Qlibjpeg_version,
    #if HAVE_JPEG
            make_fixnum (JPEG_LIB_VERSION)
    #else
            make_fixnum (-1)
    #endif
            );
    #endif

But AFAICT, this doesn't really do anything?  I can't find those
variables, the only one I have is `libgnutls-version'.  So should those
definitions be DEFVAR's, or am I missing something?

In GNU Emacs 29.0.50 (build 2, x86_64-pc-linux-gnu, GTK+ Version
3.24.24, cairo version 1.16.0)
 of 2021-10-29 built on joffe
Repository revision: 0aa9f478e962e3e2d146871fa37267709404c52e
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12011000
System Description: Debian GNU/Linux 11 (bullseye)

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES NOTIFY
INOTIFY PDUMPER PNG RSVG SECCOMP SOUND THREADS TIFF TOOLKIT_SCROLL_BARS
WEBP X11 XDBE XIM XPM GTK3 ZLIB

Important settings:
  value of $LC_COLLATE: C
  value of $LC_CTYPE: sv_SE.UTF-8
  value of $LC_TIME: C
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix